<!DOCTYPE html>
<html>
    <head>
        <title>TRANG QUẢN TRỊ</title>
        <meta charset="utf-8"/>
        <link rel="stylesheet" type="text/css" href="/bootstrap/css/bootstrap-theme.css">
        <link rel="stylesheet" type="text/css" href="/bootstrap/css/bootstrap.css">
        <link rel="stylesheet" type="text/css" href="/css/management.css"> 
        <link rel="stylesheet" type="text/css" href="/sweetalert/sweetalert2.min.css"> 
        <script type="text/javascript" src="/js/jquery.min.js"></script>
        <script type="text/javascript" src="/js/socket.io.js"></script>
        <script type="text/javascript" src="/bootstrap/js/bootstrap.js"></script>
        <script type="text/javascript" src="/js/axios.min.js"></script>
        <script type="text/javascript" src="/sweetalert/sweetalert2.min.js"></script>
        <script type="text/javascript" src="/js/DataAPI/allData.js"></script>
    </head>
    <script>
        var adminJoinRoom = (that) => {
            socket.emit('Admin_join_room', `${that.innerHTML}`);
        }
        var socket = io(`${ localhost }`);
        $(document).ready(() => {
            let arrNameRooms = document.getElementById('arrNameRooms');
            socket.on('Server_send_listRoom', (Data) => {
                arrNameRooms.innerHTML = '';
                Data.map((e, i) => {
                    arrNameRooms.innerHTML += `<div class="list-khachhang" ondblclick="adminJoinRoom(this);">${e}</div>`;
                })
            })
            document.getElementById('btnSendMess').addEventListener('click', () => {
                let contentMess = document.getElementById('contentMess');
                socket.emit('Admin_send_message', `${contentMess.value}`);

                let contentBoxChat = document.getElementById('contentBoxChat');
                let pTagAdmin = document.createElement('p');
                pTagAdmin.style.paddingBottom = '1%';
                pTagAdmin.innerHTML = `<span style="color: blue">CSKH:</span> ${contentMess.value}`;
                contentBoxChat.appendChild(pTagAdmin);  
                contentMess.value = '';              
            })
            socket.on('Admin_joined_room', (socketNameRoom) => {
                document.getElementById('socketNameRoom').innerHTML = socketNameRoom;
            })
            socket.on('User_chat', (data) => {
                let contentBoxChat = document.getElementById('contentBoxChat');
                let pTagUser = document.createElement('p');
                pTagUser.style.paddingBottom = '1%';
                pTagUser.innerHTML = `<span style="color: red;">Customer:</span> ${data}`;
                contentBoxChat.appendChild(pTagUser);
            })
            document.getElementById('exitBoxChat').addEventListener('click', () => {
                let socketNameRoom = document.getElementById('socketNameRoom');
                socket.emit('Admin_out_room');
            })
            socket.on('Admin_outed_room_to_admin', (data) => {
                let contentBoxChat = document.getElementById('contentBoxChat');
                contentBoxChat.innerHTML = '';
                socketNameRoom.innerHTML = '';
            })
        })
    </script>
    <body style="background-color: #F9F9F9">
        <div class="container" style="background-color: white">
            <%- include('includes/nav-admin') %>
            <div class="rows wrap-content-box-chat">
                <div class="col-md-4 col-sm-12 left-content-box-chat">
                    <div class="row head-left-content-box-chat">
                        <h3><b>Danh sách khách hàng</b></h3>
                        <div id="arrNameRooms">
                        
                        </div>
                    </div>
                </div>
                <div class="col-md-7 col-sm-12 right-content-box-chat">
                    <div class="header-box-chat">
                        <b><span style="float: left; padding: 1%;" id="socketNameRoom"></span></b>
                        <button class="btn btn-default" id="exitBoxChat">Thoát hội thoại</button>
                    </div>
                    <div id="contentBoxChat" class="content-box-chat">
                        
                    </div>
                    <div class="bottom-box-chat">
                        <input type="text" id="contentMess"/>
                        <button class="btn btn-default" id="btnSendMess">SEND</button>
                    </div>
                </div>
            </div>
        </div>
        <script type="text/javascript" src="/js/DataAPI/dataCSKH.js"></script>
    </body>
</html>